@charset "UTF-8";

.BarcodeManagement.inline {
    display: inline-block;
}

.Module.BarcodeManagement .header {
    text-align: center;
}

.Module.BarcodeManagement .widget .content {
    overflow: initial;
    line-height: inherit;
}

.Module.BarcodeManagement .control-box.center {
    text-align: center;
}

.Module.BarcodeManagement .control-box form {
    display: inline-block;
    margin: 0;
    padding: 0;
}

.Module.BarcodeManagement .reader-input {
    direction: ltr;
    text-align: left;
}

html[dir="rtl"] .Module.BarcodeManagement .reader-input:placeholder-shown {
    direction: rtl;
    text-align: right;
}

.Module.BarcodeManagement .management-wrapper .code {
    direction: ltr;
    text-align: left;
    font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
}

/*region Management*/
.Module.BarcodeManagement .spacer,
.Module.BarcodeManagement table td.spacer {
    width: 100%;
}

.Module.BarcodeManagement table td.left-align {
    text-align: left;
}

.Module.BarcodeManagement table td.right-align {
    text-align: right;
}

.Module.BarcodeManagement table td.center-align {
    text-align: center;
}

.Module.BarcodeManagement select.rowLimit {
    width: 60px;
}

.Module.BarcodeManagement .nowrap {
    white-space: nowrap;
}

.Module.BarcodeManagement .search-box {
    background: #fff;
    position: relative;
    margin-bottom: 15px;
    padding-bottom: 15px;
}

.Module.BarcodeManagement .search-box .add-on {
    width: 35%;
}

.Module.BarcodeManagement .search-box label {
    margin-bottom: 0;
}

.Module.BarcodeManagement .search-box input {
    width: 58%;
}

.Module.BarcodeManagement .search-box select {
    width: 61.2%;
}

.Module.BarcodeManagement .search-box .input-prepend.has-value label {
    background-color: #ffe9be;
    border-color: #b39d73;
    color: #6f4d0c;
}

.Module.BarcodeManagement .search-box .input-prepend.has-value input,
.Module.BarcodeManagement .search-box .input-prepend.has-value select{
    border-color: #b39d73;
}

/*noinspection DuplicatedCode*/
.Module.BarcodeManagement .search-box .button-box {
    position: absolute;
    text-align: center;
    bottom:-37px;
    left:50%;
    transform: translateX(-50%); /* Center element */
    background-color: inherit;
    border: 1px solid #e3e3e3;
    border-bottom-right-radius: 5px;
    border-bottom-left-radius: 5px;
    display: inline-block;
    padding: 2px 5px 5px 5px;
    border-top: 0;
}

/*endregion*/

/*region Table List*/

.Module.BarcodeManagement table.list td {
    padding: 1px;
    vertical-align: middle;
    text-align: center;
}

.Module.BarcodeManagement table.list td .progress {
    margin-bottom: 0;
}

.Module.BarcodeManagement table.list th {
    vertical-align: middle;
    text-align: center;
    background-color: #ededed;
}

.Module.BarcodeManagement table.list th.action {
    padding: 0;
    font-weight: normal;
    font-size: 12px;
    line-height: 15px;
}

.Module.BarcodeManagement table.list {
    background: white;
}

.Module.BarcodeManagement table.shortcut-template {
    direction: ltr;
}

.Module.BarcodeManagement table.shortcut-template td {
    text-align: left;
}

.Module.BarcodeManagement table.shortcut-template ol {
    padding-left: 24px;
    color: #d23737;
    font-family: Monaco, Menlo, Consolas, "Courier New", monospace;
}

.Module.BarcodeManagement table.shortcut-template code {
    line-height: 28px;
    color: #1a2e20;
}

.Module.BarcodeManagement .Management table.list th {
    vertical-align: middle;
    font-weight: normal;
    text-align: center;
    background: #ededed;
    color: #666;
    padding: 0;
    border-color: #ccc;
}

.Module.BarcodeManagement .Management table.list th.status {
    min-width: 90px;
}

.Module.BarcodeManagement .Management table.list th button {
    display: none;
}

.Module.BarcodeManagement .Management table.list th label {
    padding: 0 10px;
    margin: 0;
    line-height: 40px;
    cursor: pointer;
    background: #ededed;
    color: #333;
    text-shadow: 0 1px 1px rgba(255, 255, 255, 0.75);
    box-shadow: 0 0 1px inset #fff;
    white-space: nowrap;
}

.Module.BarcodeManagement .Management table.list th label:hover {
    background: #e4e4e4;
    box-shadow: none;
}

.Module.BarcodeManagement .Management table.list th label.column-selected {
    background-image: linear-gradient(to bottom, #cecece, #e8e8e8);
    box-shadow: 0 2px 5px inset rgba(0, 0, 0, 0.2), 0 1px 2px inset rgba(0,0,0, 0.1);
}

.Module.BarcodeManagement .Management table.list th.action {
    padding: 0;
    font-size: 12px;
    line-height: 15px;
}

.Module.BarcodeManagement .Management table.list td {
    padding: 3px;
}

.Module.BarcodeManagement .Management table.list tr.active td {
    font-weight: bold;
}

/*endregion*/

/*region Sticky*/

.Module.BarcodeManagement .sticky-box {
    width: 100%;
    height: 100%;
}

.Module.BarcodeManagement .sticky-box .sticky,
.Module.BarcodeManagement table.sticky-header th {
    position: sticky;
    z-index: 2;
}

.Module.BarcodeManagement .sticky-box .sticky.front,
.Module.BarcodeManagement table.sticky-header.front th {
    background: #f9f9f9;
    z-index: 4;
}

.Module.BarcodeManagement .sticky-box .sticky.top,
.Module.BarcodeManagement table.sticky-header.top th {
    top: 0;
}

.Module.BarcodeManagement .sticky-box .sticky.top50,
.Module.BarcodeManagement table.sticky-header.top50 th {
    top: 50px;
}

.Module.BarcodeManagement .sticky-box .sticky.bottom,
.Module.BarcodeManagement table.sticky-header.bottom th {
    bottom: 0;
}

.Module.BarcodeManagement .sticky-box .sticky.left,
.Module.BarcodeManagement table.sticky-header.left th {
    left: 0;
}

.Module.BarcodeManagement .sticky-box .sticky.right,
.Module.BarcodeManagement table.sticky-header.right th {
    right: 0;
}

/*endregion*/

@media (min-width: 979px) {
    .BarcodeManagement.modal.wide {
        width: 960px;
        margin-left: -480px;
    }
}

@media (min-width: 768px) and (max-width: 979px) {
    .BarcodeManagement.modal.wide {
        width: 760px;
        margin-left: -380px;
    }
}

.Module.BarcodeManagement.modal .sticky-wrapper {
    margin: -15px 0;
}

.Module.BarcodeManagement.modal .sticky {
    position: sticky;
    margin: 0;
    padding: 0;
}

.Module.BarcodeManagement.modal .sticky.front {
    background: #ffffff;
    z-index: 5;
}

.Module.BarcodeManagement.modal .sticky.full-size {
    line-height: normal;
}

.Module.BarcodeManagement.modal .sticky.full-size:before,
.Module.BarcodeManagement.modal .sticky.full-size:after {
    content: '';
    top: 0;
    width: 15px;
    height: 100%;
    background: #ffffff;
    position: absolute;
}

.Module.BarcodeManagement.modal .sticky.full-size:before {
    right: -15px;
}

.Module.BarcodeManagement.modal .sticky.full-size:after {
    left: -15px;
}

.Module.BarcodeManagement.modal .sticky.top {
    top: -15px;
}

.Module.BarcodeManagement.modal .sticky.bottom {
    bottom: -15px;
}

.Module.BarcodeManagement.modal .sticky.fixed {
    right: 0;
    display: inline-block;
}

.Module.BarcodeManagement.modal .sticky.box {
    padding: 15px 0;
}

.Module.BarcodeManagement.modal .side-footer label {
    display: inline-block;
}

html[dir="ltr"] .Module.BarcodeManagement.modal .side-footer {
    float: right;
}

html[dir="rtl"] .Module.BarcodeManagement.modal .side-footer {
    float: left;
}

div.barcodeReaderCamera {
    display: none;
    max-width: 180px;
    max-height: 135px;
    top: 0;
}
div.barcodeReaderCamera button,
div.barcodeReaderCamera select,
div.barcodeReaderCamera input {
    z-index: 3;
}

div.barcodeReaderCamera canvas.drawingBuffer {
    display: block;
    position: absolute;
    z-index: 2;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

html[dir="rtl"] div.barcodeReaderCamera {
    position: fixed;
    left: 25px;
}

html[dir="ltr"] div.barcodeReaderCamera {
    position: fixed;
    right: 25px;
}

html[dir="ltr"] div.barcodeReaderCamera.large,
html[dir="rtl"] div.barcodeReaderCamera.large {
    max-width: unset;
    max-height: unset;
    width: 90%;
    height: 90%;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    background-color: #fff;
    border: 10px solid #484848;
    border-radius: 10px;
}

html[dir="ltr"] div.barcodeReaderCamera:not(.large) button,
html[dir="rtl"] div.barcodeReaderCamera:not(.large) button {
    padding: 2px 6px;
    font-size: 11px;
    line-height: 16px;
}

html[dir="ltr"] div.barcodeReaderCamera.large button,
html[dir="rtl"] div.barcodeReaderCamera.large button {
    /*padding: 9px 14px;*/
    /*font-size: 16px;*/
    padding: 2vh calc(2vh* 14 / 9);
    font-size: 3vh;
    line-height: 20px;
}

div.barcodeReaderCamera.large button,
div.barcodeReaderCamera.large select.zoom {
    margin: 5px;
    font-family: Arial, Geneva, sans-serif;
}

div.barcodeReaderCamera.large select.zoom {
    font-size: 3vh;
    height: fit-content;
}

div.barcodeReaderCamera.large video {
    max-width: unset;
    max-height: unset;
    width: 100%;
    height: 100%;
}

div.barcodeReaderCamera video {
    max-width: 180px;
    max-height: 135px;
}

div.barcodeReaderCamera select.zoom{
    position: absolute;
    right: 0;
    bottom: 0;
    margin: 0;
    width: fit-content;
}

div.barcodeReaderCamera button.torch{
    position: absolute;
    left: 0;
    bottom: 0;
    width: fit-content;
}

div.barcodeReaderCamera button.stop{
    position: absolute;
    right: 0;
    top: 0;
    width: fit-content;
}

div.barcodeReaderCamera span.cameraDetectedBarcode,
div.barcodeReaderCamera select.cameraDeviceSelection {
    display: none;
}

div.barcodeReaderCamera.large select.cameraDeviceSelection {
    display: block;
    position: absolute;
    bottom: 0;
    left: 50%;
    width: fit-content;
    height: fit-content;
    font-size: 2vh;
    transform: translateX(-50%);
    max-width: calc(100% - 20vh);
}

div.barcodeReaderCamera.large span.cameraDetectedBarcode {
    display: block;
    direction: ltr;
    position: absolute;
    top: 1vh;
    left: 50%;
    width: fit-content;
    height: fit-content;
    font-size: 2.5vh;
    transform: translateX(-50%);
    max-width: calc(100% - 20vh);
    font-family: Arial, Geneva, sans-serif;
    /*background: #fff;*/
    padding: 1vh;
    border: 3px solid #0000ff;
    color: #ff0000
}

div.barcodeReaderCamera button.maximize{
    position: absolute;
    left: 0;
    top: 0;
    width: fit-content;
}

div.barcodeReaderCamera .drawingBuffer {
    display: none;
}

.Module.BarcodeManagement .blink_me {
    animation: blinker 1s linear infinite;
}

.Module.BarcodeManagement .fastBlink_me {
    animation: fastBlinker 0.8s ease-in infinite;
}

@keyframes blinker {
    50% {
        opacity: 0;
    }
}

@keyframes fastBlinker {
    from,
    39.9% {
        opacity: 0.3;
    }
    40%,
    to {
        opacity: 1;
    }
}